#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int x, y, res;
    cin >> x;
    cin >> y;

    int i = 0, j = 0, xtr, ytr;
    while (true) {
        xtr = x / (int)pow(10, i);
        ytr = y / (int)pow(10, i);
        if (xtr > 0 && ytr > 0) {
            xtr = xtr % 10;
            ytr = ytr % 10;
            if (xtr > ytr) {
                res += xtr * pow(10, j);
            } else if (xtr < ytr) {
                res += ytr * pow(10, j);
            } else {
                res += xtr * (pow(10, j) + pow(10, j + 1));
                j++;
            }
            i++; j++;
        } else if (xtr > 0) {
            res += xtr * pow(10, j);
            break;
        } else if (ytr > 0) {
            res += ytr * pow(10, j);
            break;
        } else {
            break;
        }
    }
    cout <<  res;

    return 0;
}